/* --- clean-embeds-all.css --- */  
 /*
    clean-embeds-all.css snippet

    Removes title, link, padding, margins from embeds,
    so they really look like the same note.

    This will not require a `cssclass` to be set but work for _all_ notes.
    Derived from the `clean-embeds.css` snippet.

    2021-08-24 Matthias C. Hormann (Moonbase59)

    TODO: Find out how to correct PDF export. L/R margins & vspace too large on embeds.
*/

/* remove title and the table from the "Metatable" plugin */
.markdown-preview-view .markdown-embed-title,
.markdown-preview-view .obsidian-metatable {
  display: none;
}

/*
  For links to embeds NOT to be shown, uncomment the following
  and comment out the other section below.
*/

/*
.markdown-preview-view .markdown-embed-link,
.markdown-preview-view .file-embed-link {
  display: none;
}
*/

/*
  For links to embeds to BE shown, uncomment the following
  until the "End link show/hide stuff" comment
  and comment out the section above.
*/

/* Link icon */
.markdown-preview-view .markdown-embed-link,
.markdown-preview-view .file-embed-link {
  top: 0;
  right: 0;
  left: unset;
  text-align: right;
  border: none;
  margin: 0;
  width: 24px;
  height: 24px;
  color: var(--text-faint);
  cursor: pointer;
}

/* for Ars Magna theme and others that change ::before */
.markdown-preview-view .markdown-embed-link::before,
.markdown-preview-view .file-embed-link::before {
  display: none;
}

/* Link icon size & hide */
.markdown-preview-view .file-embed-link svg,
.markdown-preview-view .markdown-embed-link svg {
  height: 24px;
  width: 24px;
  opacity: 0;
  display: unset;
}

/* show on hover */
.markdown-preview-view .markdown-embed:hover .file-embed-link svg,
.markdown-preview-view .markdown-embed:hover .markdown-embed-link svg {
  opacity: 1;
}

/* change background on hover, to exactly see what’s embedded */
.markdown-preview-view .markdown-embed:hover,
.markdown-preview-view .file-embed:hover {
  background-color: var(--background-secondary) !important;
}

/* End link show/hide stuff */



/* remove border and scroll */
/* unfortunately needs !important for some themes */
.markdown-preview-view .markdown-embed,
.markdown-preview-view .file-embed {
  border: none !important;
  padding: 0 !important;
  margin: 0 !important;
}

.markdown-preview-view .markdown-embed-content,
.markdown-preview-view .markdown-embed-content > .markdown-preview-view { 
  max-height: unset;
  padding: 0 !important; /* !important for "Pisum" theme */
  margin: 0;
  border: 0;
}

/* remove <br> between internal embeds */
.markdown-preview-section div > br {
  display: none;
}


/* remove vertical space added by markdown-preview-sizer */
 div.markdown-preview-sizer.markdown-preview-section {
  min-height: unset !important;
  padding-bottom: 0 !important;
}

/* special considerations for printing (PDF export) */
@media print {

  /* remove frontmatter box if "Show frontmatter" was enabled */
  /* Also remove metadata table from "Metatable" plugin */
  pre.frontmatter,
  .obsidian-metatable {
    display: none;
  }
}  


/* --- tags.css --- */  
   


/* --- Largeur-fenetre-edition.css --- */  
 .markdown-source-view.is-readable-line-width .CodeMirror,
.markdown-preview-view.is-readable-line-width .CodeMirror,
.markdown-source-view.is-readable-line-width .markdown-preview-sizer,
.markdown-preview-view.is-readable-line-width .markdown-preview-sizer,
.markdown-source-view, .markdown-preview-view
 {
  max-width: 1024px;
  margin: auto;
}  


/* --- justify-text.css --- */  
 /* reading mode */
.markdown-preview-view p {
	text-align: justify;
	text-justify: inter-word;	
}

/* source view and live preview */
.markdown-source-view.mod-cm6 .cm-line {
	text-align: justify;
	text-justify: inter-word;	
}
  


/* --- checkbox.css --- */  
 /* Notation checkboxes */
.markdown-preview-view .task-list-item-checkbox {
  -webkit-appearance: none;
  box-sizing: border-box;
  border: 1px solid var(--text-normal);
  position: relative;
  width: 16px;
  height: 16px;
  margin: 0;
  margin-right: 4px;
  margin-bottom: 2px;
  transition: background-color 200ms ease-out 0s;
  cursor: pointer;
  filter: none;
  border-radius: 4px;
}

.markdown-preview-view .task-list-item-checkbox:checked {
  border: none;
  background-color: var(--interactive-accent);
}

.markdown-preview-view .task-list-item-checkbox:hover {
  background-color: var(--background-primary-alt);
}

.markdown-preview-view .task-list-item-checkbox:checked::before {
  position: absolute;
  color: white;
  text-align: center;
  font-weight: 900;
  line-height: 15px;
  width:12px;
  left:2px;
  right:2px;
}

.markdown-preview-view ul>li.task-list-item {
  font-weight: normal;
  color: var(--text-normal);
}

/***** Ajouté par Serge : Yes '- [y]' */
.markdown-preview-view li[data-task="y"]>.task-list-item-checkbox:checked::before,
.markdown-preview-view li[data-task="Y"]>.task-list-item-checkbox:checked::before {
	content: ' ';
	top: 2px;
	bottom: 2px;
	background-color: #0b0;
}


/* SVG check mark for done ('- [x]') */
.markdown-preview-view li[data-task="x"]>.task-list-item-checkbox:checked::before,
.markdown-preview-view li[data-task="X"]>.task-list-item-checkbox:checked::before {
  content: '';
  top: 2px;
  bottom: 2px;
  background-color: white;
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 14 14'%3E%3Cpolygon points='5.5 11.9993304 14 3.49933039 12.5 2 5.5 8.99933039 1.5 4.9968652 0 6.49933039'%3E%3C/polygon%3E%3C/svg%3E");
}

/* SVG chevron right for deferred/scheduled ('- [>]') */
.markdown-preview-view li[data-task=">"]>.task-list-item-checkbox:checked::before {
  content: '';
  top:2px;
  bottom:2px;
  background-color: white;
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 14 14' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M8.12 7L3.26667 11.76L4.57333 13.0667L10.7333 7L4.57333 0.933332L3.26667 2.24L8.12 7Z'/%3E%3C/svg%3E");
}

/* SVG line for cancelled/non-task ('- [-]') */
.markdown-preview-view li[data-task="-"]>.task-list-item-checkbox:checked::before {
  content: '';
  top:2px;
  bottom:2px;
  background-color: white;
  -webkit-mask-image: url("data:image/svg+xml,%3Csvg viewBox='0 0 14 14' xmlns='http://www.w3.org/2000/svg'%3E%3Crect x='0.5' y='6.5' width='13' height='1'/%3E%3C/svg%3E");
}
/* greyed-out background colour for cancelled/non-task ('- [-]') */
.markdown-preview-view li[data-task="-"]>.task-list-item-checkbox:checked {
  background-color: var(--text-faint);
}

/* '?' for question/more info task ('- [?]') */
.markdown-preview-view li[data-task="?"]>.task-list-item-checkbox:checked::before,
 li[data-task="?"]>.task-list-item.is-checked
 {
  content: '?';
}
/* text style for question/more info task ('- [?]') */
.markdown-preview-view ul>li[data-task="?"].task-list-item.is-checked {
  color: var(--text-normal);
  text-decoration: none;
}
/* yellow background colour for question/more info task ('- [?]') */
.markdown-preview-view li[data-task="?"]>.task-list-item-checkbox:checked{
  background-color: #A99400;
}

/* '!' for important task ('- [!]') */
.markdown-preview-view li[data-task="!"]>.task-list-item-checkbox:checked::before {
  content: '!';
}
/* text style for important task ('- [!]') */
.markdown-preview-view ul>li[data-task="!"].task-list-item.is-checked {
  color: var(--text-normal);
  text-decoration: none;
  font-weight: 900;
}
/* red background colour for important task ('- [!]') */
.markdown-preview-view li[data-task="!"]>.task-list-item-checkbox:checked {
  background-color: #a90000;
}  


/* --- center-img.css --- */  
 /* utilisation : ![[imagename | center]] ou ![[imagename | center] | size] */
img[alt*="center"] {
    display: block;
    margin-left: auto;
    margin-right: auto;
}  


/* --- fix-search-input-caret-color.css --- */  
 /* le caret sera orange au lieu de noir, donc plus visible */
/* pour le chanm de rechecho global */
.global-search-input-container.search-input-container input {
	caret-color: #eabd14
}
/* pour le champ "rename file" */
.tree-item .nav-file {
	caret-color: #eabd14
}  


/* --- couleur-tags.css --- */  
 /* serge 
cf https://obsidian-snippets.pages.dev/snippets/tag-colors/
*/
/* edit mode */
.theme-light {
	--tag-text: #00B;
}

/* read mode */
.tag {
  /*background-color: var(--text-accent);*/
  border: none;
  color: white;
  /*font-size: 11px;*/
  padding: 1px 8px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  margin: 0px 0px;
  cursor: pointer;
  border-radius: 14px;
}
.tag:hover {
  color: white;
  background-color: #aa888850;; /* var(--text-accent-hover);  /* #aa8888; */
}
.tag[href^="#obsidian"] {
  background-color: purple;
  color: white;
}
.tag[href^="#obsidian"]:hover {
  color: purple;
}
.tag[href^="#NOK"] {
  background-color: red;
  color: white;
}
.tag[href^="#NOK"]:hover {
  color: red;
}
.tag[href^="#OK"] {
  background-color: green;
  color: white;
}
.tag[href^="#OK"]:hover {
  color: green;
}
.tag[href^="#TBC"] {
  background-color: orange;
  color : white;
}
.tag[href^="#TBC"]:hover {
  color: orange;
}
  


/* --- mermaid-width.css --- */  
 /* positionne la largeur mini et maxi des graphiques mermaid
*/
/*
.mermaid svg {
	min-width: 250px;
    max-width: 750px;
    width: 100%;
    height: auto;
}
*/
.mermaid {
  overflow: scroll;

  >svg {
    transition: max-width 0.5s;
	min-width: 250px;
    max-width: 720px;
    height: auto;
  }

  &:hover>svg {
    max-width: 250%;
  }
}  


/* --- responsive-iframe.css --- */  
 .iframe-container {
	position: relative;
	width: 100%;
	padding-bottom: 56.25%;
	height:0;
}
.iframe-container iframe {
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}
  


/* --- clean-embeds.css --- */  
 /*
    clean-embeds.css snippet

    Removes title, link, padding, margins from embeds,
    so they really look like the same note.

    To be used with `cssclass: clean-embeds` in YAML frontmatter.

    2021-08-24 Matthias C. Hormann (Moonbase59)

    TODO: Find out how to correct PDF export. L/R margins & vspace too large on embeds.
*/

/* remove title and the table from the "Metatable" plugin */
.markdown-preview-view.clean-embeds .markdown-embed-title,
.markdown-preview-view.clean-embeds .obsidian-metatable {
  display: none;
}

/*
  For links to embeds NOT to be shown, uncomment the following
  and comment out the other section below.
*/

/*
.markdown-preview-view.clean-embeds .markdown-embed-link,
.markdown-preview-view.clean-embeds .file-embed-link {
  display: none;
}
*/

/*
  For links to embeds to BE shown, uncomment the following
  until the "End link show/hide stuff" comment
  and comment out the section above.
*/

/* Link icon */
.markdown-preview-view.clean-embeds .markdown-embed-link,
.markdown-preview-view.clean-embeds .file-embed-link {
  top: 0;
  right: 0;
  left: unset;
  text-align: right;
  border: none;
  margin: 0;
  width: 24px;
  height: 24px;
  color: var(--text-faint);
  cursor: pointer;
}

/* for Ars Magna theme and others that change ::before */
.markdown-preview-view.clean-embeds .markdown-embed-link::before,
.markdown-preview-view.clean-embeds .file-embed-link::before {
  display: none;
}

/* Link icon size & hide */
.markdown-preview-view.clean-embeds .file-embed-link svg,
.markdown-preview-view.clean-embeds .markdown-embed-link svg {
  height: 24px;
  width: 24px;
  opacity: 0;
  display: unset;
}

/* show on hover */
.markdown-preview-view.clean-embeds .markdown-embed:hover .file-embed-link svg,
.markdown-preview-view.clean-embeds .markdown-embed:hover .markdown-embed-link svg {
  opacity: 1;
}

/* change background on hover, to exactly see what’s embedded */
.markdown-preview-view.clean-embeds .markdown-embed:hover,
.markdown-preview-view.clean-embeds .file-embed:hover {
  background-color: var(--background-secondary) !important;
}

/* End link show/hide stuff */



/* remove border and scroll */
/* unfortunately needs !important for some themes */
.markdown-preview-view.clean-embeds .markdown-embed,
.markdown-preview-view.clean-embeds .file-embed {
  border: none !important;
  padding: 0 !important;
  margin: 0 !important;
}

.markdown-preview-view.clean-embeds .markdown-embed-content,
.markdown-preview-view.clean-embeds .markdown-embed-content > .markdown-preview-view { 
  max-height: unset;
  padding: 0 !important; /* !important for "Pisum" theme */
  margin: 0;
  border: 0;
}

/* remove <br> between internal embeds */
.clean-embeds .markdown-preview-section div > br {
  display: none;
}


/* remove vertical space added by markdown-preview-sizer */
.clean-embeds div.markdown-preview-sizer.markdown-preview-section {
  min-height: unset !important;
  padding-bottom: 0 !important;
}

/* special considerations for printing (PDF export) */
@media print {

  /* remove frontmatter box if "Show frontmatter" was enabled */
  /* Also remove metadata table from "Metatable" plugin */
  pre.frontmatter,
  .obsidian-metatable {
    display: none;
  }
}  


/* --- callouts.css --- */  
 /*Rappel les callouts sont déclenchés par >[!titre] */


.callout[data-callout="idée"] {
	/*background: 50,50,0;*/
    --callout-color: 255, 224, 10; /*200,200,50; ou  247, 224, 10; */
    --callout-icon: lightbulb;  
    /*--callout-icon: '<svg>...custom svg...</svg>'; */
}
.callout[data-callout="idée"]  .callout-title {
	--callout-color: 200, 150, 0
}

.callout[data-callout="théorème"] {
    --callout-color: 116,167,30;
    --callout-icon: infinity;  /**/
}

.callout[data-callout="remarque"] {
    --callout-color: 50,50,150;
    --callout-icon: eye;  
}
.theme-dark .callout[data-callout="remarque"] {
	--callout-color: 100,100,180;
}
.callout[data-callout="liens"] {
    --callout-color: 0,0,128;
    --callout-icon: link;  
}
.theme-dark .callout[data-callout="liens"] {
	--callout-color: 100,100,150;
}
.callout[data-callout="voirAussi"] {
    --callout-color: 0,0,128;
    --callout-icon: eye;  
}
.callout[data-callout="décision"],.callout[data-callout="décide"],.callout[data-callout="donc"] {
    --callout-color: 180,180,50;
    --callout-icon: step-forward; 
}
.callout[data-callout="délai"],.callout[data-callout="nuit"],.callout[data-callout="sommeil"] {
    --callout-color: 0,150,255;
    --callout-icon: moon; 
}
.callout[data-callout="définition"],.callout[data-callout="definition"],.callout[data-callout="livre"] {
    --callout-color: 120,50,50;
    --callout-icon: book; 
}
.callout[data-callout="musique"],.callout[data-callout="run"],.callout[data-callout="play"],.callout[data-callout="video"] {
    --callout-color: 0,0,0;
    --callout-icon: play; 
}
.callout[data-callout="goal"],.callout[data-callout="but"],.callout[data-callout="objectif"] {
	--callout-color: 50,80,0;
    --callout-icon: goal; 
}
.callout[data-callout="question"],.callout[data-callout="help"],.callout[data-callout="faq"] {
	--callout-color: 70,100,0;
    --callout-icon: circle-help; 

  


